Index: /trunk/src/VBox/Installer/solaris/vboxconfig.sh
===================================================================
--- /trunk/src/VBox/Installer/solaris/vboxconfig.sh	(revision 31427)
+++ /trunk/src/VBox/Installer/solaris/vboxconfig.sh	(revision 31428)
@@ -103,4 +103,9 @@
 find_bin_path()
 {
+    if test -z "$1"; then
+        errorprint "missing argument to find_bin_path()"
+        exit 1
+    fi
+    
     binfilename=`basename $1`
     binfilepath=`which $binfilename 2> /dev/null`
